Hex: ScatteringQuantity Class Reference

| Hex 2.2 Hydrogen-electron collision solver

Public Member Functions | Protected Attributes
ScatteringQuantity Class Reference

`#include <quantities.h>`

## Public Member Functions

| baseClassRunTimeSelectionDefinitions (ScatteringQuantity,()) virtual std
| Longer description text for use in program help. More...
virtual std::vector< std::pair< std::string, std::string > > | params ()
| List of all scattering event parameters (with description) that have to be specified by user. More...
virtual std::vector< std::string > | vparams ()
| List of vectorizable scattering event parameters that have to be specified by user. More...
virtual std::vector< std::string > | dependencies ()
sqlitepp::session & | session ()
virtual bool | initialize (sqlitepp::session &db)
| initialize (e.g.) by defining external routines for SQLite More...
virtual bool | createTable ()
| SQL statements that create the required table, or empty vector if not needed. More...
virtual bool | updateTable ()
| SQL statements that update the table after insetion of new data. More...
virtual bool | run (std::map< std::string, std::string > const &params)
| write out requested data More...

## Protected Attributes

sqlitepp::session * | db
| Database session. More...

## Member Function Documentation

## ◆ baseClassRunTimeSelectionDefinitions()

ScatteringQuantity::baseClassRunTimeSelectionDefinitions | ( | ScatteringQuantity | ,
|  | () |
| ) |  |

inline

## ◆ createTable()

virtual bool ScatteringQuantity::createTable | ( |  | ) |

inlinevirtual

## ◆ dependencies()

virtual std::vector<std::string> ScatteringQuantity::dependencies | ( |  | ) |

inlinevirtual

List of other scattering quantities that need to be initialized/updated/etc before this class because this class makes use of their data.

## ◆ initialize()

virtual bool ScatteringQuantity::initialize | ( | sqlitepp::session & | db | ) |

inlinevirtual

## ◆ params()

virtual std::vector<std::pair<std::string,std::string> > ScatteringQuantity::params | ( |  | ) |

inlinevirtual

## ◆ run()

virtual bool ScatteringQuantity::run | ( | std::map< std::string, std::string > const & | params | ) |

inlinevirtual

## ◆ session()

sqlitepp::session& ScatteringQuantity::session | ( |  | ) |

inline

## ◆ updateTable()

virtual bool ScatteringQuantity::updateTable | ( |  | ) |

inlinevirtual

## ◆ vparams()

virtual std::vector<std::string> ScatteringQuantity::vparams | ( |  | ) |

inlinevirtual

## Field Documentation

## ◆ db

sqlitepp::session* ScatteringQuantity::db

protected

The documentation for this class was generated from the following file:

- src/quantities.h